Tracking

Look up live tracking information for a shipment by tracking number.

Get Tracking

GET /api/v1/tracking/:trackingNumber

Returns tracking events and status for a shipment. Live data is fetched from the carrier when available; otherwise, the cached status from the database is returned.

Example

curl https://shipwave.app/api/v1/tracking/9400111899223100012345 \
  -H "Authorization: Bearer sw_live_abc123..."
const res = await fetch(
  "https://shipwave.app/api/v1/tracking/9400111899223100012345",
  { headers: { Authorization: "Bearer sw_live_abc123..." } }
);
const { data } = await res.json();

Response

{
  "data": {
    "trackingNumber": "9400111899223100012345",
    "carrier": "USPS",
    "service": "Priority Mail",
    "status": "in_transit",
    "statusDetail": "Your item departed a shipping facility in CHICAGO, IL",
    "estimatedDelivery": "2026-02-21T00:00:00.000Z",
    "events": [
      {
        "timestamp": "2026-02-19T18:45:00.000Z",
        "status": "in_transit",
        "location": "Chicago, IL",
        "description": "Departed USPS Regional Facility"
      },
      {
        "timestamp": "2026-02-19T10:22:00.000Z",
        "status": "in_transit",
        "location": "Portland, OR",
        "description": "Arrived at USPS Regional Origin Facility"
      },
      {
        "timestamp": "2026-02-18T16:30:00.000Z",
        "status": "pre_transit",
        "location": "Portland, OR",
        "description": "Shipping Label Created, USPS Awaiting Item"
      }
    ]
  }
}

Event Object

FieldTypeDescription
timestampstringISO 8601 timestamp of the event
statusstringStatus code (e.g. pre_transit, in_transit, delivered)
locationstringCity and state where the event occurred
descriptionstringHuman-readable event description

Tracking Statuses

StatusDescription
pre_transitLabel created, package not yet scanned
in_transitPackage is in transit
out_for_deliveryPackage is out for delivery
deliveredPackage has been delivered
return_to_senderPackage is being returned to sender
failureDelivery attempt failed
unknownStatus is not yet known

Errors

StatusCodeCause
404NOT_FOUNDNo shipment found with this tracking number